import logging
from charmworld.migrations.migrate import setup_mongo_indices


# charm index two
def exodus_update(source, target, current_version):
    """Create charm indices.  Copy charms to target.

    source is the original CharmSource.
    target is the CharmSource to be used after the exodus.
    current_version is the version of this exodus.
    """

    # Set up the index.
    log = logging.getLogger('charm.exodus025')
    log.warning('Starting')
    charms = target.collection
    setup_mongo_indices(charms)
    log.warning('Indices built')

    # Copy all of the charms over to the target.
    log.warning('Starting charm copy')
    for charm in source.collection.find():
        target.save(charm)
    log.warning('Finished')
